## firefox-esr 60.2.0esr

=== debian/changelog ===
firefox-esr (60.2.0esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-21, also known as:
    CVE-2018-12377, CVE-2018-12378, CVE-2018-12376.

  * debian/l10n/gen: Use iso-codes json data instead of XML when present.
    Closes: #907611.

  * widget/gtk/nsAppShell.cpp: Use remoting name for call to
    gdk_set_program_class. Closes: #907574.

 -- Mike Hommey <glandium@debian.org>  Thu, 06 Sep 2018 06:18:15 +0900

firefox-esr (60.1.0esr-3) unstable; urgency=medium

  * debian/control*:
    - Build depend on llvm/clang 6.0 for buster. Closes: #906174.
    - Bump NSS build dependency to 3.36.4. Closes: #902573.

  * gfx/skia/skia/include/core/SkColorPriv.h,
    gfx/skia/skia/include/core/SkImageInfo.h,
    gfx/skia/skia/include/gpu/GrTypes.h,
    gfx/skia/skia/src/core/SkColorData.h: fix big-endian Skia builds.
    bz#1144632.

 -- Mike Hommey <glandium@debian.org>  Sat, 18 Aug 2018 08:30:36 +0900

firefox-esr (60.1.0esr-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/upstream.mk: Use the same logic for betas as for releases to find
    the source.
  * debian/browser.links.in, debian/rules, debian/vendor.js: Use the
    spellchecker.dictionary_path pref to set the hunspell directory.
  * debian/browser.mozconfig.in: Allow unsigned addons in app and system
    scopes.
  * debian/rules: Work around the effect the above has on the
    --{enable,with}-system-* check.
  * debian/vendor.js: Remove extensions.unsignedScopes. The patch that added
    the pref was changed to use a configure flag instead.
  * debian/control*: Remove old conflicts. Thanks Sylvestre Ledru.
    Closes: #882956.
  * debian/l10n/recommends, debian/l10n/browser-l10n.control,
    debian/control: Update dictionary recommendations, following these rules:
    - Transitional myspell packages are not listed except when stable
      doesn't have the corresponding hunspell package.
    - Both hunspell and myspell packages are listed if they are different.
    Closes: #813832, #825843
  * debian/copyright, debian/rules: Refer to /usr/share/common-licenses/MPL*
    instead of installing our own copy. Closes: #704303.
  * debian/make.mk: Use the same code as dump target for the dump-% target.
  * debian/control*, debian/rules: Add Recommends on all supported libavcodec
    libraries for h264 playback. Closes: #901600.

  * js/src/jit/mips-shared/MacroAssembler-mips-shared.cpp: Stubout
    MacroAssembler::speculationBarrier. bz#1444834
  * toolkit/modules/AppConstants.jsm, toolkit/modules/moz.build,
    toolkit/moz.configure, toolkit/mozapps/extensions/internal/XPIInstall.jsm,
    toolkit/mozapps/extensions/content/extensions.js,
    toolkit/mozapps/extensions/internal/XPIDatabase.jsm: Change how addon
    signature requirement relaxation is done. Closes: #899390.

 -- Mike Hommey <glandium@debian.org>  Sun, 12 Aug 2018 13:43:20 +0900

firefox-esr (60.1.0esr-1) experimental; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-16, also known as:
    CVE-2018-12359, CVE-2018-12360, CVE-2018-12361, CVE-2018-12362,
    CVE-2018-5156, CVE-2018-12363, CVE-2018-12364, CVE-2018-12365,
    CVE-2018-12371, CVE-2018-12366, CVE-2018-12367, CVE-2018-12369,
    CVE-2018-5187, CVE-2018-5188.

  * debian/vendor.js: Relax the addon signature requirements.

  * build/unix/elfhack/elfhack.cpp, build/unix/elfhack/inject.c,
    build/unix/elfhack/test.c: Use run-time page size when changing mapping
    permissions in elfhack injected code. bz#1470701. Closes: #902231.
  * toolkit/mozapps/extensions/content/extensions.js,
    toolkit/mozapps/extensions/internal/XPIDatabase.jsm: Allow to relax the
    addon signature requirements.

 -- Mike Hommey <glandium@debian.org>  Wed, 27 Jun 2018 10:15:42 +0900

firefox-esr (60.0.2esr-1) experimental; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-14, also known as CVE-2018-6126.

  * debian/browser.NEWS.in: Adjust to show the ESR version.

 -- Mike Hommey <glandium@debian.org>  Fri, 08 Jun 2018 17:49:37 +0900

firefox-esr (60.0.1esr-2) experimental; urgency=medium

  * third_party/rust/libc/.cargo-checksum.json,
    third_party/rust/libc/src/unix/notbsd/linux/mod.rs,
    third_party/rust/libc/src/unix/notbsd/linux/musl/mod.rs,
    third_party/rust/libc/src/unix/notbsd/linux/other/mod.rs,
    third_party/rust/libc/src/unix/notbsd/linux/s390x.rs: Apply upstream patch
    to add struct ucred for Linux on MIPS.
  * gfx/skia/skia/src/jumper/SkJumper_stages.cpp: Fix Skia build on arm64
    linux with GCC. bz#1462868.
  * intl/icu_sources_data.py: Add --disable-layoutex when running ICU
    configure. bz#1462859.
  * media/webrtc/trunk/gtest/moz.build: Link chromium_atomics to webrtc tests.
    bz#1462873.
  * media/webrtc/trunk/moz.build: Only build webrtc neon on aarch64.
  * browser/locales/Makefile.in,
    python/mozbuild/mozbuild/action/langpack_manifest.py,
    python/mozbuild/mozbuild/test/action/test_langpack_manifest.py,
    toolkit/locales/l10n.mk: Use MOZ_LANGPACK_EID in langpacks manifest.json.
    bz#1455100. Closes: #899160.
  * dom/media/webaudio/blink/DenormalDisabler.h: Avoid using vmrs/vmsr on
    armel.
  * mfbt/LinuxSignal.h, mfbt/moz.build,
    tools/profiler/core/platform-linux-android.cpp: Remove
    MOZ_SIGNAL_TRAMPOLINE. bz#1463035.
  * build/autoconf/arch.m4: Add -mfloat-abi=softfp to NEON_FLAGS when it makes
    sense. bz#1463036.
  * xpcom/string/moz.build: Use HAVE_ARM_NEON instead of BUILD_ARM_NEON for
    nsUTF8UtilsNEON.cpp. bz#1463036.

 -- Mike Hommey <glandium@debian.org>  Tue, 22 May 2018 10:05:55 +0900

firefox-esr (60.0.1esr-1) experimental; urgency=medium

  * New upstream release.

  * debian/browser.links.in: Remove /usr/lib/*/browser/icons symlink, leftover
    after the removal of /usr/share/*/browser/icons. Closes: #893323.
  * debian/control*: Remove mozplugger suggestion. Closes: #888396.
  * debian/browser.install.in, debian/browser.mozconfig.in, debian/control.in,


=== debian/control ===
Source: firefox-esr
Section: web
Priority: optional
Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9.20160114),
               autoconf2.13,
               libx11-dev,
               libx11-xcb-dev,
               libxt-dev,
               libgtk-3-dev,
               libgtk2.0-dev (>= 2.10),
               libglib2.0-dev (>= 2.16.0),
               libstartup-notification0-dev,
               libjpeg-dev,
               zlib1g-dev,
               libbz2-dev,
               libreadline-dev,
               python2.7,
               python-minimal (>= 2.6.6-13~),
               python-ply,
               dpkg-dev (>= 1.16.1.1~),
               libvpx-dev (>= 1.5.0),
               libdbus-glib-1-dev,
               libffi-dev,
               libevent-dev (>= 1.4.1),
               libjsoncpp-dev,
               libpulse-dev,
               yasm (>= 1.1),
               rustc (>= 1.24),
               cargo (>= 0.25),
               llvm-4.0-dev,
               libclang-4.0-dev,
               clang-4.0,
               zip,
               unzip,
               locales,
               xvfb,
               xfonts-base,
               xauth,
               ttf-bitstream-vera,
               fonts-freefont-ttf,
               fonts-dejima-mincho,
               iso-codes
Build-Conflicts: graphicsmagick-imagemagick-compat,
                 liboss4-salsa-dev,
                 libhildonmime-dev,
                 libosso-dev
Standards-Version: 3.9.8.0
Vcs-Git: https://salsa.debian.org/mozilla-team/firefox.git -b esr60/master
Vcs-Browser: https://salsa.debian.org/mozilla-team/firefox/commits/esr60/master

Package: firefox-esr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         fontconfig,
         procps,
         debianutils (>= 1.16),
         libsqlite3-0 (>= 3.7.12-1~),
         libnss3 (>= 2:3.34~)
Recommends: libavcodec58 | libavcodec57 | libavcodec56 | libavcodec55 | libavcodec54 | libavcodec53
Suggests: fonts-stix | otf-stix,
          fonts-lmodern,
          libgssapi-krb5-2 | libkrb53,
          libcanberra0,
          libgtk2.0-0
Conflicts: iceweasel (<< 45)
Breaks: xul-ext-torbutton
Provides: www-browser,
          gnome-www-browser
Description: Mozilla Firefox web browser - Extended Support Release (ESR)
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.

Package: iceweasel
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr, ${misc:Depends}
Description: Web browser based on Firefox - Transitional package
 This is a transitional package, it can be safely removed.


Package: firefox-esr-l10n-all
Architecture: all
Section: metapackages
Depends: ${misc:Depends}, firefox-esr-l10n-ach, firefox-esr-l10n-af, firefox-esr-l10n-an, firefox-esr-l10n-ar, firefox-esr-l10n-as, firefox-esr-l10n-ast, firefox-esr-l10n-az, firefox-esr-l10n-be, firefox-esr-l10n-bg, firefox-esr-l10n-bn-bd, firefox-esr-l10n-bn-in, firefox-esr-l10n-br, firefox-esr-l10n-bs, firefox-esr-l10n-ca, firefox-esr-l10n-cak, firefox-esr-l10n-cs, firefox-esr-l10n-cy, firefox-esr-l10n-da, firefox-esr-l10n-de, firefox-esr-l10n-dsb, firefox-esr-l10n-el, firefox-esr-l10n-en-gb, firefox-esr-l10n-en-za, firefox-esr-l10n-eo, firefox-esr-l10n-es-ar, firefox-esr-l10n-es-cl, firefox-esr-l10n-es-es, firefox-esr-l10n-es-mx, firefox-esr-l10n-et, firefox-esr-l10n-eu, firefox-esr-l10n-fa, firefox-esr-l10n-ff, firefox-esr-l10n-fi, firefox-esr-l10n-fr, firefox-esr-l10n-fy-nl, firefox-esr-l10n-ga-ie, firefox-esr-l10n-gd, firefox-esr-l10n-gl, firefox-esr-l10n-gn, firefox-esr-l10n-gu-in, firefox-esr-l10n-he, firefox-esr-l10n-hi-in, firefox-esr-l10n-hr, firefox-esr-l10n-hsb, firefox-esr-l10n-hu, firefox-esr-l10n-hy-am, firefox-esr-l10n-ia, firefox-esr-l10n-id, firefox-esr-l10n-is, firefox-esr-l10n-it, firefox-esr-l10n-ja, firefox-esr-l10n-ka, firefox-esr-l10n-kab, firefox-esr-l10n-kk, firefox-esr-l10n-km, firefox-esr-l10n-kn, firefox-esr-l10n-ko, firefox-esr-l10n-lij, firefox-esr-l10n-lt, firefox-esr-l10n-lv, firefox-esr-l10n-mai, firefox-esr-l10n-mk, firefox-esr-l10n-ml, firefox-esr-l10n-mr, firefox-esr-l10n-ms, firefox-esr-l10n-my, firefox-esr-l10n-nb-no, firefox-esr-l10n-ne-np, firefox-esr-l10n-nl, firefox-esr-l10n-nn-no, firefox-esr-l10n-oc, firefox-esr-l10n-or, firefox-esr-l10n-pa-in, firefox-esr-l10n-pl, firefox-esr-l10n-pt-br, firefox-esr-l10n-pt-pt, firefox-esr-l10n-rm, firefox-esr-l10n-ro, firefox-esr-l10n-ru, firefox-esr-l10n-si, firefox-esr-l10n-sk, firefox-esr-l10n-sl, firefox-esr-l10n-son, firefox-esr-l10n-sq, firefox-esr-l10n-sr, firefox-esr-l10n-sv-se, firefox-esr-l10n-ta, firefox-esr-l10n-te, firefox-esr-l10n-th, firefox-esr-l10n-tr, firefox-esr-l10n-uk, firefox-esr-l10n-ur, firefox-esr-l10n-uz, firefox-esr-l10n-vi, firefox-esr-l10n-xh, firefox-esr-l10n-zh-cn, firefox-esr-l10n-zh-tw
Breaks: iceweasel-l10n-all (<< 45)
Replaces: iceweasel-l10n-all (<< 45)
Provides: iceweasel-l10n-all
Description: All language packages for Firefox ESR (meta)
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This is a metapackage depending on all available localizations of Firefox ESR.

Package: iceweasel-l10n-all
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-all, ${misc:Depends}
Description: All language packages for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-ach
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: iceweasel-l10n-ach (<< 45)
Replaces: iceweasel-l10n-ach (<< 45)
Provides: iceweasel-l10n-ach
Description: Acoli language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Acoli.

Package: iceweasel-l10n-ach
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-ach, ${misc:Depends}
Description: Acoli language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-af
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-af
Breaks: iceweasel-l10n-af (<< 45)
Replaces: iceweasel-l10n-af (<< 45)
Provides: iceweasel-l10n-af
Description: Afrikaans language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Afrikaans.

Package: iceweasel-l10n-af
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-af, ${misc:Depends}
Description: Afrikaans language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-an
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-an
Breaks: iceweasel-l10n-an (<< 45)
Replaces: iceweasel-l10n-an (<< 45)
Provides: iceweasel-l10n-an
Description: Aragonese language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Aragonese.

Package: iceweasel-l10n-an
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-an, ${misc:Depends}
Description: Aragonese language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-ar
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-ar
Breaks: iceweasel-l10n-ar (<< 45)
Replaces: iceweasel-l10n-ar (<< 45)
Provides: iceweasel-l10n-ar
Description: Arabic language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Arabic.

Package: iceweasel-l10n-ar
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-ar, ${misc:Depends}
Description: Arabic language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-as
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: iceweasel-l10n-as (<< 45)
Replaces: iceweasel-l10n-as (<< 45)
Provides: iceweasel-l10n-as
Description: Assamese language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Assamese.

Package: iceweasel-l10n-as
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-as, ${misc:Depends}
Description: Assamese language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-ast
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: iceweasel-l10n-ast (<< 45)
Replaces: iceweasel-l10n-ast (<< 45)
Provides: iceweasel-l10n-ast
Description: Asturian language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Asturian.

Package: iceweasel-l10n-ast
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-ast, ${misc:Depends}
Description: Asturian language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-az
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: iceweasel-l10n-az (<< 45)
Replaces: iceweasel-l10n-az (<< 45)
Provides: iceweasel-l10n-az
Description: Azerbaijani language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Azerbaijani.

Package: iceweasel-l10n-az
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-az, ${misc:Depends}
Description: Azerbaijani language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-be
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-be
Breaks: iceweasel-l10n-be (<< 45)
Replaces: iceweasel-l10n-be (<< 45)
Provides: iceweasel-l10n-be
Description: Belarusian language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Belarusian.

Package: iceweasel-l10n-be
Architecture: all
Priority: extra
Section: oldlibs
Depends: firefox-esr-l10n-be, ${misc:Depends}
Description: Belarusian language package for Iceweasel - Transitional package
 This is a transitional package, it can be safely removed.

Package: firefox-esr-l10n-bg
Architecture: all
Section: localization
Depends: ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
TESTDIR = $(shell dh_testdir || echo no)
ifeq (,$(TESTDIR))
include debian/make.mk
# Use dpkg-buildflags to get hardening flags, exclude non-hardening flags,
# and disable read-only relocations.
dpkg_buildflags = $(and $(1),$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-relro DEB_CFLAGS_MAINT_STRIP="$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-all dpkg-buildflags --get $(1))" dpkg-buildflags --get $(1)))
$(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
$(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
$(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))

$(call lazy,DEB_HOST_GNU_TYPE,$$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE))
$(call lazy,DEB_BUILD_GNU_TYPE,$$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE))
$(call lazy,DEB_HOST_ARCH,$$(shell dpkg-architecture -qDEB_HOST_ARCH))
$(call lazy,DEB_HOST_ARCH_ENDIAN,$$(shell dpkg-architecture -qDEB_HOST_ARCH_ENDIAN))

PYTHON := python -B

PRODUCT := browser
include debian/upstream.mk

SYSTEM_LIBS = zlib bz2 ffi libevent
ifeq (,$(filter wheezy jessie stretch,$(DIST)))
SYSTEM_LIBS += hunspell nspr nss sqlite
endif
ifeq (,$(filter wheezy jessie,$(DIST)))
SYSTEM_LIBS += vpx
endif

define system_lib
USE_SYSTEM_$(1) ?= 1
SYSTEM_LIBS_VARS += $$(if $$(USE_SYSTEM_$(1)),USE_SYSTEM_$(1))
endef
$(foreach lib,$(sort $(call uc,$(SYSTEM_LIBS))),$(eval $(call system_lib,$(lib))))

ifeq ($(DIST),wheezy)
CC := /usr/lib/gcc-mozilla/bin/gcc
CXX := /usr/lib/gcc-mozilla/bin/g++
endif

OFFICIAL_BRANDING := browser/branding/official
MOZILLA_OFFICIAL := 1
# ESR, Beta and Releases use the official branding
ifneq (,$(filter release beta esr%,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= $(OFFICIAL_BRANDING)
else
ifneq (,$(filter aurora,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= browser/branding/aurora
else
ifneq (,$(filter central,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= browser/branding/nightly
else
$(error $(PRODUCT_NAME) branding for $(SOURCE_CHANNEL) is unsupported)
endif
endif
endif

ifeq (firefox-esr,$(DEBIAN_SOURCE))
ifneq (,$(filter wheezy jessie stretch,$(DIST)))
TRANSITION = 1
endif
endif

BRANDING_CONFIGURE_FLAG = $(if $(filter $(BRANDING),$(OFFICIAL_BRANDING)),--enable-official-branding,--with-branding=$(BRANDING))

# Define PRODUCT, product and Product variables (replacing product with the
# actual value of $(PRODUCT))
$(PRODUCT) := $(call lc,$(PRODUCT_NAME))
uc_first = $(strip $(eval __tmp := $(1))$(foreach l,$(letters),$(eval __tmp := $(subst $(l),$(l) ,$(__tmp))))$(call uc,$(firstword $(__tmp)))$(1:$(firstword $(__tmp))%=%))
DISPLAY_NAME := $(call uc_first,$(PRODUCT_DOWNLOAD_NAME))$(if $(filter %-esr,$(PRODUCT_NAME)), ESR)
$(call uc,$(PRODUCT)) := $(call uc,$(DISPLAY_NAME))
Product := $(call uc_first,$(PRODUCT))
$(Product) := $(DISPLAY_NAME)

MOZ_APP_REMOTINGNAME := $(call uc_first,$($(PRODUCT)))

LIB_DIR := /usr/lib/$($(PRODUCT))
SHARE_DIR := /usr/share/$($(PRODUCT))

LDFLAGS := -Wl,--as-needed

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
LDFLAGS += -Wl,--no-keep-memory
# Also add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

AUTOCONF_DIRS := build/autoconf

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --disable-optimize
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --enable-debug
endif
ifneq (,$(filter %i386 %amd64 armel armhf arm64,$(DEB_HOST_ARCH)))
	MOZ_FFVPX = 1
endif
ifneq (,$(filter i386 amd64 armel armhf,$(DEB_HOST_ARCH)))
	CRASH_REPORTER = 1
endif

ifeq (default,$(origin CC))
CC := gcc
endif
ifeq (default,$(origin CXX))
CXX := g++
endif

ifneq (,$(findstring gcc,$(CC)))
ifeq (,$(filter 4.% 5.%,$(shell $(CC) -dumpversion)))
CFLAGS += -fno-schedule-insns2 -fno-lifetime-dse -fno-delete-null-pointer-checks
ifneq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
CFLAGS += -fno-schedule-insns
endif
endif
endif

CXXFLAGS = $(CFLAGS)

ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
ICU_VERSION := $(shell echo U_ICU_VERSION_MAJOR_NUM | cpp -P -include $(CURDIR)/intl/icu/source/common/unicode/uvernum.h)
ICU_DATA_FILE = icudt$(ICU_VERSION)b.dat
endif

EXPORTS := CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS MOZILLA_OFFICIAL ICU_DATA_FILE
$(call lazy,CONFIGURE_ENV,$$(foreach export,$(EXPORTS),$$(export)="$$($$(export))"))

IN_FILES := $(wildcard debian/*.in)
ifeq ($(PRODUCT_NAME),firefox)
IN_FILES := $(filter-out debian/browser.preinst.in debian/browser.postrm.in debian/$($(PRODUCT)).in,$(IN_FILES))
endif
preprocessed_filename = $(subst $(PRODUCT),$($(PRODUCT)),$(subst GRE_VERSION,$(GRE_VERSION),$(1:.in=)))
define preprocess
$(call preprocessed_filename,$(1)): $(1)
PREPROCESSED_FILES += $(call preprocessed_filename,$(1))
endef
$(foreach f,$(IN_FILES),$(eval $(call preprocess, $(f))))

GENERATED_FILES += $(PREPROCESSED_FILES) debian/l10n/$(PRODUCT)-l10n.control
debian/control: debian/rules debian/changelog debian/l10n/$(PRODUCT)-l10n.control

$(call lazy,L10N_PACKAGES,$$(foreach lang,$$(L10N_LANGS),$($(PRODUCT))-l10n-$$(call lc,$$(lang))))
$(call lazy,L10N_PACKAGES_DEPS,$$(shell echo $$(L10N_PACKAGES) | sed 's/ /, /g'))

debian/l10n/$(PRODUCT)-l10n.control: %: %.in
	$(PYTHON) debian/l10n/gen $(L10N_LANGS) > $@

$(call lazy,LIBAVCODEC,$$(shell awk -F\" '/libavcodec\.so/ { sub(/\.so\./,"", $$$$2); if (d) { d = d " | " $$$$2 } else { d = $$$$2 } } END { print d }' dom/media/platforms/ffmpeg/FFmpegRuntimeLinker.cpp))

$(PREPROCESSED_FILES): VARS = GRE_VERSION $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) MOZ_APP_REMOTINGNAME $(SYSTEM_LIBS_VARS) SHORT_SOURCE_CHANNEL DIST TRANSITION MOZ_FFVPX CRASH_REPORTER DEB_HOST_ARCH
debian/control: VARS += L10N_PACKAGES_DEPS PRODUCT LIBAVCODEC
$(PREPROCESSED_FILES):
	$(PYTHON) python/mozbuild/mozbuild/preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< > $@

ifdef TRANSITION
MAINTSCRIPTS := $(addprefix debian/,$(addsuffix .maintscript,$(shell awk -F/ '$$1 != "searchplugins" { next } $$2 == "locale" && $$3 != "en-US" { p="iceweasel-l10n-" $$3 } $$2 == "common" || ($$2 "/" $$3 == "locale/en-US") { p="iceweasel" } !done[p] { print p; done[p] = 1 }' debian/removed_conffiles)))

GENERATED_FILES += $(MAINTSCRIPTS)

debian/iceweasel.maintscript: debian/removed_conffiles
	(grep -v searchplugins/locale $<; grep searchplugins/locale/en-US $<) | awk '{print "rm_conffile /etc/iceweasel/" $$0, "45.0esr-2~", "iceweasel"}' > $@

debian/iceweasel-l10n-%.maintscript: debian/removed_conffiles
	grep -i searchplugins/locale/$* $< | awk '{print "rm_conffile /etc/iceweasel/" $$0, "45.0esr-2~", "iceweasel-l10n-$*"}' > $@
endif

override_dh_auto_configure:

stamps/prepare-configure:: stamps/dummy
	for dir in $(AUTOCONF_DIRS); do \
		for file in config.guess config.sub; do \
			sed -i '2!b;/^#/ i\exec "/usr/share/misc/'$$file'" "$$@"' $$dir/$$file; \
		done; \
	done
	cp -f configure.in configure && chmod +x configure
	cp -f js/src/configure.in js/src/configure && chmod +x js/src/configure

stamps/configure-check-$(PRODUCT):: stamps/configure-$(PRODUCT)
# Ensure --{with,enable}-system options properly set expected variables
# according to the definitions in the mozconfig file.
	@awk -F' *# *| *$$' ' \
	BEGIN { confs="$(foreach f,autoconf.mk emptyvars.mk,$(CURDIR)/build-$(PRODUCT)/config/$(f))" } \
	$$1 ~ /system-/ { \
		if (! $$2) { \
			print FILENAME ": Missing variable for",$$1; \
			error=1; \
		} else { \
			split($$2,var,"="); \
			cmd = "grep -l " var[1] " " confs; \
			cmd | getline dir; \
			sub(/\/[^\/]*$$/, "", dir); \
			cmd = "$(MAKE) -C " dir " --no-print-directory echo-variable-" var[1]; \
			cmd | getline value; \
			if (value != var[2]) { print $$1, "triggered", var[1] "=" value,"instead of",$$2; error=1 } \
		} \
	} \
	END { if (error) { exit 1 }}' debian/$($(PRODUCT)).mozconfig

stamps/configure-$(PRODUCT):: stamps/prepare-configure debian/$($(PRODUCT)).mozconfig

## firefox-esr 60.2.1esr

=== debian/changelog ===
firefox-esr (60.2.1esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-23, also known as:
    CVE-2018-12385, CVE-2018-12383.

  * debian/control*:
    - Enforce nss, nspr and sqlite dependencies to the same versions as
      build dependencies. There are subtle non-ABI differences between
      versions that Firefox might be relying on (be it features, behavior
      changes/fixes, etc.) and can cause subtle problems when older
      versions are used.
    - Add a suggestion for pulseaudio.
  * debian/rules, debian/control: Add libavcodec-extra* packages to the list
    of recommends. Closes: #909130

  * js/src/jit/BaselineJIT.h: Disable baseline JIT when SSE2 is not supported
    at runtime. bz#1492064. Closes: #908396, #908449.
  * gfx/2d/Swizzle.cpp: Use Swizzle fallback when SSE2 is not supported.
    bz#1492065. Closes: #877445.

 -- Mike Hommey <glandium@debian.org>  Sat, 22 Sep 2018 08:10:27 +0900

firefox-esr (60.2.0esr-1~deb9u2) stretch-security; urgency=medium

  * debian/control*: Remove the sqlite and nss dependencies when not building
    against the system libraries.

 -- Mike Hommey <glandium@debian.org>  Fri, 07 Sep 2018 18:21:32 +0900

=== debian/control ===
--- 
+++ 
@@ -58,14 +58,13 @@
          fontconfig,
          procps,
          debianutils (>= 1.16),
-         libsqlite3-0 (>= 3.7.12-1~),
-         libnss3 (>= 2:3.34~)
-Recommends: libavcodec58 | libavcodec57 | libavcodec56 | libavcodec55 | libavcodec54 | libavcodec53
+Recommends: libavcodec58 | libavcodec-extra58 | libavcodec57 | libavcodec-extra57 | libavcodec56 | libavcodec-extra56 | libavcodec55 | libavcodec-extra55 | libavcodec54 | libavcodec-extra54 | libavcodec53 | libavcodec-extra53
 Suggests: fonts-stix | otf-stix,
           fonts-lmodern,
           libgssapi-krb5-2 | libkrb53,
           libcanberra0,
-          libgtk2.0-0
+          libgtk2.0-0,
+          pulseaudio
 Conflicts: iceweasel (<< 45)
 Breaks: xul-ext-torbutton
 Provides: www-browser,
@@ -287,4 +286,3 @@
 Package: firefox-esr-l10n-bg
 Architecture: all
 Section: localization
-Depends: ${misc:Depends},

## firefox-esr 60.2.2esr

=== servo/python/requirements.txt ===
# Ensure all versions are pinned for repeatability,
# since `--system-site-packages` is enabled

blessings == 1.6
mach == 0.6.0
mozdebug == 0.1
mozinfo == 0.8
mozlog == 3.6
setuptools == 18.5
toml == 0.9.2

# For Python linting
flake8 == 2.4.1
pep8 == 1.5.7
pyflakes == 0.8.1

# For buildbot checking
voluptuous == 0.10.5
PyYAML == 3.12

# For test-webidl
ply == 3.8

# For Cross-platform colored terminal text
colorama == 0.3.7

# For package uploading
boto3 == 1.4.4

# Default root CAs on Windows CI do not trust CloudFront certificates,
# connecting to https://static.rust-lang.org would fail:
# https://github.com/servo/servo/pull/18942
certifi

-e python/tidy

=== debian/changelog ===
firefox-esr (60.2.2esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-24, also known as:
    CVE-2018-12386, CVE-2018-12387.

  * debian/extra-stuff/addonsInfo.js: Fixes to work with recent versions
    of Firefox. Closes: #909056.
  * debian/control*, debian/browser.mozconfig.in: Build ALSA support.
    Closes: #864987, #900062, #908349

 -- Mike Hommey <glandium@debian.org>  Wed, 03 Oct 2018 07:28:38 +0900

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
                libevent-dev (>= 1.4.1),
                libjsoncpp-dev,
                libpulse-dev,
+               libasound2-dev,
                yasm (>= 1.1),
                rustc (>= 1.24),
                cargo (>= 0.25),
@@ -284,5 +285,3 @@
  This is a transitional package, it can be safely removed.
 
 Package: firefox-esr-l10n-bg
-Architecture: all
-Section: localization

=== debian/rules ===
--- 
+++ 
@@ -149,7 +149,7 @@
 debian/l10n/$(PRODUCT)-l10n.control: %: %.in
 	$(PYTHON) debian/l10n/gen $(L10N_LANGS) > $@
 
-$(call lazy,LIBAVCODEC,$$(shell awk -F\" '/libavcodec\.so/ { sub(/\.so\./,"", $$$$2); if (d) { d = d " | " $$$$2 } else { d = $$$$2 } } END { print d }' dom/media/platforms/ffmpeg/FFmpegRuntimeLinker.cpp))
+$(call lazy,LIBAVCODEC,$$(shell awk -F\" '/libavcodec\.so/ { sub(/libavcodec\.so\./,"", $$$$2); p = "libavcodec" $$$$2 " | libavcodec-extra" $$$$2; if (d) { d = d " | " p } else { d = p } } END { print d }' dom/media/platforms/ffmpeg/FFmpegRuntimeLinker.cpp))
 
 $(PREPROCESSED_FILES): VARS = GRE_VERSION $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) MOZ_APP_REMOTINGNAME $(SYSTEM_LIBS_VARS) SHORT_SOURCE_CHANNEL DIST TRANSITION MOZ_FFVPX CRASH_REPORTER DEB_HOST_ARCH
 debian/control: VARS += L10N_PACKAGES_DEPS PRODUCT LIBAVCODEC

## firefox-esr 60.3.0esr

=== debian/changelog ===
firefox-esr (60.3.0esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-27, also known as:
    CVE-2018-12392, CVE-2018-12393, CVE-2018-12395, CVE-2018-12396,
    CVE-2018-12397, CVE-2018-12389, CVE-2018-12390.

  * debian/rules: Work around armel FTBFS from conflicting __sync_* symbols
    between libgcc and rust's compiler_builtins.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Oct 2018 07:17:22 +0900

=== debian/rules ===
--- 
+++ 
@@ -86,6 +86,12 @@
 LDFLAGS += -Wl,--no-keep-memory
 # Also add execution time and memory usage stats in the logs
 LDFLAGS += -Wl,--stats
+
+# Work around FTBFS from conflicting __sync_* symbols between libgcc
+# and rust's compiler_builtins
+ifeq (armel,$(DEB_HOST_ARCH))
+LDFLAGS += -Wl,-z,muldefs
+endif
 
 AUTOCONF_DIRS := build/autoconf
 
@@ -196,8 +202,3 @@
 			cmd = "$(MAKE) -C " dir " --no-print-directory echo-variable-" var[1]; \
 			cmd | getline value; \
 			if (value != var[2]) { print $$1, "triggered", var[1] "=" value,"instead of",$$2; error=1 } \
-		} \
-	} \
-	END { if (error) { exit 1 }}' debian/$($(PRODUCT)).mozconfig
-
-stamps/configure-$(PRODUCT):: stamps/prepare-configure debian/$($(PRODUCT)).mozconfig

## firefox-esr 60.4.0esr

=== debian/changelog ===
firefox-esr (60.4.0esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-30, also known as:
    CVE-2018-17466, CVE-2018-18492, CVE-2018-18493, CVE-2018-18494,
    CVE-2018-18498, CVE-2018-12405.

  * debian/rules: Use embedded libevent in backports. Closes: #910397.
  * debian/browser.install.in, debian/rules: Properly copy the watermark to
    /usr/share/icons/hicolor/symbolic/apps.
  * debian/rules: Pass compiler and compiler flags environment variables
    down to ICU configure. That will make it use GCC instead of defaulting
    to clang now it's in PATH, avoiding the failing to build the ICU data
    file on big endian platforms because clang doesn't know some of the GCC
    flags it somehow got from the environment.

  * build/unix/elfhack/test.c: Try to ensure the bss section of the
    elfhack testcase stays large enough. bz#1505608.
  * memory/build/mozjemalloc.cpp: Fix run sizes for size classes >= 16KB
    on systems with large pages. bz#1507035. Closes: #911898.

 -- Mike Hommey <glandium@debian.org>  Wed, 12 Dec 2018 08:29:04 +0900

=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,9 @@
 PRODUCT := browser
 include debian/upstream.mk
 
-SYSTEM_LIBS = zlib bz2 ffi libevent
+SYSTEM_LIBS = zlib bz2 ffi
 ifeq (,$(filter wheezy jessie stretch,$(DIST)))
-SYSTEM_LIBS += hunspell nspr nss sqlite
+SYSTEM_LIBS += hunspell nspr nss sqlite libevent
 endif
 ifeq (,$(filter wheezy jessie,$(DIST)))
 SYSTEM_LIBS += vpx

## firefox-esr 60.5.0esr

=== debian/changelog ===
firefox-esr (60.5.0esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-02, also known as:
    CVE-2018-18500, CVE-2018-18505, CVE-2018-18501.

 -- Mike Hommey <glandium@debian.org>  Wed, 30 Jan 2019 09:53:01 +0900

mozilla-firefox (0.10.1+1.0PR-5) unstable; urgency

## firefox-esr 60.5.1esr

=== debian/changelog ===
firefox-esr (60.5.1esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-05, also known as:
    CVE-2018-18356, CVE-2019-5785.

  * debian/rules, debian/upstream.mk: Manually set the update channel.
    Closes: #921381, #921121, #921654.
  * debian/rules: Disable ion JIT on mips and mipsel. This should fix the
    FTBFS.

 -- Mike Hommey <glandium@debian.org>  Thu, 14 Feb 2019 18:35:06 +0900

=== debian/rules ===
--- 
+++ 
@@ -94,6 +94,12 @@
 endif
 
 AUTOCONF_DIRS := build/autoconf
+
+CONFIGURE_FLAGS += --enable-update-channel=$(CHANNEL)
+
+ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
+       CONFIGURE_FLAGS += --disable-ion
+endif
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	CONFIGURE_FLAGS += --disable-optimize
@@ -199,6 +205,3 @@
 			cmd = "grep -l " var[1] " " confs; \
 			cmd | getline dir; \
 			sub(/\/[^\/]*$$/, "", dir); \
-			cmd = "$(MAKE) -C " dir " --no-print-directory echo-variable-" var[1]; \
-			cmd | getline value; \
-			if (value != var[2]) { print $$1, "triggered", var[1] "=" value,"instead of",$$2; error=1 } \

## firefox-esr 60.6.0esr

=== debian/changelog ===
firefox-esr (60.6.0esr-1~deb8u1) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Backport to jessie.
  * Pick arm-unknown-linux-gnueabi as rust target on armel. armv4t and
    armv5te don't have the standard library available on jessie.
  * Build against the embedded jsoncpp, jessie's one is too old.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 20 Mar 2019 11:00:19 +0100

firefox-esr (60.6.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-08, also known as:
    CVE-2019-9790, CVE-2019-9791, CVE-2019-9792, CVE-2019-9793,
    CVE-2019-9795, CVE-2019-9796, CVE-2018-18506, CVE-2019-9788.

  * debian/rules: Disable debug symbols on mips/mipsel on buster.
    The rust compiler can't deal with them in the available address space.
  * debian/browser.mozconfig.in: Adjust to the upstream change wrt Google
    API key configure options.

 -- Mike Hommey <glandium@debian.org>  Wed, 20 Mar 2019 10:18:56 +0900

firefox-esr (60.5.1esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-05, also known as:
    CVE-2018-18356, CVE-2019-5785.

  * debian/rules, debian/upstream.mk: Manually set the update channel.
    Closes: #921381, #921121, #921654.
  * debian/rules: Disable ion JIT on mips and mipsel. This should fix the
    FTBFS.

 -- Mike Hommey <glandium@debian.org>  Thu, 14 Feb 2019 18:35:06 +0900

firefox-esr (60.5.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-02, also known as:
    CVE-2018-18500, CVE-2018-18505, CVE-2018-18501.

 -- Mike Hommey <glandium@debian.org>  Wed, 30 Jan 2019 09:53:01 +0900

firefox-esr (60.4.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-30, also known as:
    CVE-2018-17466, CVE-2018-18492, CVE-2018-18493, CVE-2018-18494,
    CVE-2018-18498, CVE-2018-12405.

 -- Mike Hommey <glandium@debian.org>  Wed, 12 Dec 2018 08:29:04 +0900

firefox-esr (60.3.0esr-3) unstable; urgency=medium

  * debian/browser.install.in, debian/rules: Properly copy the watermark to
    /usr/share/icons/hicolor/symbolic/apps.
  * debian/rules: Pass compiler and compiler flags environment variables
    down to ICU configure. That will make it use GCC instead of defaulting
    to clang now it's in PATH, avoiding the failing to build the ICU data
    file on big endian platforms because clang doesn't know some of the GCC
    flags it somehow got from the environment.

 -- Mike Hommey <glandium@debian.org>  Wed, 28 Nov 2018 14:28:56 +0900

firefox-esr (60.3.0esr-2) unstable; urgency=medium

  * debian/control*: Build depend on unversioned clang/llvm.
    Closes: #912804.
  * debian/rules: Use embedded libevent in backports. Closes: #910397.

  * build/unix/elfhack/test.c: Try to ensure the bss section of the
    elfhack testcase stays large enough. bz#1505608.
  * memory/build/mozjemalloc.cpp: Fix run sizes for size classes >= 16KB
    on systems with large pages. bz#1507035. Closes: #911898.

 -- Mike Hommey <glandium@debian.org>  Mon, 26 Nov 2018 10:42:42 +0900

firefox-esr (60.3.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-27, also known as:
    CVE-2018-12392, CVE-2018-12393, CVE-2018-12395, CVE-2018-12396,
    CVE-2018-12397, CVE-2018-12389, CVE-2018-12390.

  * debian/rules: Work around armel FTBFS from conflicting __sync_* symbols
    between libgcc and rust's compiler_builtins.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Oct 2018 07:08:43 +0900

firefox-esr (60.2.2esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-24, also known as:
    CVE-2018-12386, CVE-2018-12387.

  * debian/extra-stuff/addonsInfo.js: Fixes to work with recent versions
    of Firefox. Closes: #909056.
  * debian/control*, debian/browser.mozconfig.in: Build ALSA support.
    Closes: #864987, #900062, #908349

 -- Mike Hommey <glandium@debian.org>  Wed, 03 Oct 2018 07:28:38 +0900

firefox-esr (60.2.1esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-23, also known as:
    CVE-2018-12385, CVE-2018-12383.

  * debian/control*:
    - Remove the sqlite and nss dependencies when not building against the
      system libraries.
    - Enforce nss, nspr and sqlite dependencies to the same versions as
      build dependencies. There are subtle non-ABI differences between
      versions that Firefox might be relying on (be it features, behavior
      changes/fixes, etc.) and can cause subtle problems when older
      versions are used.
    - Add a suggestion for pulseaudio.
  * debian/rules, debian/control: Add libavcodec-extra* packages to the list
    of recommends. Closes: #909130

  * js/src/jit/BaselineJIT.h: Disable baseline JIT when SSE2 is not supported
    at runtime. bz#1492064. Closes: #908396, #908449.
  * gfx/2d/Swizzle.cpp: Use Swizzle fallback when SSE2 is not supported.
    bz#1492065. Closes: #877445.

 -- Mike Hommey <glandium@debian.org>  Sat, 22 Sep 2018 08:10:27 +0900

firefox-esr (60.2.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-21, also known as:
    CVE-2018-12377, CVE-2018-12378, CVE-2018-12376.

  * debian/l10n/gen: Use iso-codes json data instead of XML when present.
    Closes: #907611.

  * widget/gtk/nsAppShell.cpp: Use remoting name for call to
    gdk_set_program_class. Closes: #907574.

 -- Mike Hommey <glandium@debian.org>  Thu, 06 Sep 2018 06:18:15 +0900

=== debian/rules ===
--- 
+++ 
@@ -79,6 +79,15 @@
 
 LDFLAGS := -Wl,--as-needed
 
+# Disable debug symbols when building on mips and mipsel machines,
+# because the rust compiler can't deal with it in the available address
+# space.
+ifeq (,$(filter wheezy jessie stretch,$(DIST)))
+ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
+	CONFIGURE_FLAGS += --disable-debug-symbols
+endif
+endif
+
 # Reduce memory usage of the linker at the expense of processing time
 # This should help on lower-end architectures like arm and mips, which
 # spend an immense amount of time swapping.
@@ -195,13 +204,3 @@
 # Ensure --{with,enable}-system options properly set expected variables
 # according to the definitions in the mozconfig file.
 	@awk -F' *# *| *$$' ' \
-	BEGIN { confs="$(foreach f,autoconf.mk emptyvars.mk,$(CURDIR)/build-$(PRODUCT)/config/$(f))" } \
-	$$1 ~ /system-/ { \
-		if (! $$2) { \
-			print FILENAME ": Missing variable for",$$1; \
-			error=1; \
-		} else { \
-			split($$2,var,"="); \
-			cmd = "grep -l " var[1] " " confs; \
-			cmd | getline dir; \
-			sub(/\/[^\/]*$$/, "", dir); \

## firefox-esr 60.6.1esr

=== debian/changelog ===
firefox-esr (60.6.1esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-10, also known as:
    CVE-2019-9810, CVE-2019-9813.

 -- Mike Hommey <glandium@debian.org>  Sun, 24 Mar 2019 08:15:11 +0900

firefox-esr (60.6.0esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-08, also known as:
    CVE-2019-9790, CVE-2019-9791, CVE-2019-9792, CVE-2019-9793,
    CVE-2019-9795, CVE-2019-9796, CVE-2018-18506, CVE-2019-9788.

  * debian/rules: Disable debug symbols on mips/mipsel on buster.
    The rust compiler can't deal with them in the available address space.
  * debian/browser.mozconfig.in: Adjust to the upstream change wrt Google
    API key configure options.

 -- Mike Hommey <glandium@debian.org>  Wed, 20 Mar 2019 10:18:56 +0900

## firefox-esr 60.6.2esr

=== debian/changelog ===
firefox-esr (60.6.2esr-1~deb8u1) jessie-security; urgency=medium

  [Sylvain Beucler]
  * Non-maintainer upload by the LTS Team.
  * Backport to jessie.

  [Emilio Pozuelo Monfort]
  * Pick arm-unknown-linux-gnueabi as rust target on armel. armv4t and
    armv5te don't have the standard library available on jessie.
  * Build against the embedded jsoncpp, jessie's one is too old.

 -- Sylvain Beucler <beuc@debian.org>  Mon, 6 May 2019 21:52:00 +0200

firefox-esr (60.6.2esr-1) unstable; urgency=medium

  * New upstream release.
    - Fixes issues with addon signature validation. Closes: #928415, #928449.
    Note: this didn't affect addons installed via Debian packages.

 -- Mike Hommey <glandium@debian.org>  Sun, 05 May 2019 20:12:37 +0900

firefox-esr (60.6.1esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-10, also known as:
    CVE-2019-9810, CVE-2019-9813.

 -- Mike Hommey <glandium@debian.org>  Sun, 24 Mar 2019 08:15:11 +0900

## firefox-esr 60.7.0esr

=== debian/changelog ===
firefox-esr (60.7.0esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-14, also known as:
    CVE-2019-9816, CVE-2019-9817, CVE-2019-9819, CVE-2019-9820,
    CVE-2019-11691, CVE-2019-11692, CVE-2019-11693, CVE-2019-7317,
    CVE-2019-9797, CVE-2018-18511, CVE-2019-11698, CVE-2019-5798,
    CVE-2019-9800.

  * debian/rules: Avoid rust build errors with newer versions of rustc by
    capping lints to warnings.

 -- Mike Hommey <glandium@debian.org>  Wed, 22 May 2019 07:23:08 +0900

firefox-esr (60.6.3esr-1~deb9u1) stretch; urgency=medium

  * New upstream release.
    - Additional fixes for addon signature validation.

 -- Mike Hommey <glandium@debian.org>  Thu, 09 May 2019 05:14:54 +0900

firefox-esr (60.6.2esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
    - Fixes issues with addon signature validation. Closes: #928415, #928449.
    Note: this didn't affect addons installed via Debian packages.

 -- Mike Hommey <glandium@debian.org>  Sun, 05 May 2019 20:12:37 +0900

## firefox-esr 60.7.1esr

=== debian/changelog ===
firefox-esr (60.7.1esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-18, also known as CVE-2019-11707.

 -- Mike Hommey <glandium@debian.org>  Tue, 18 Jun 2019 11:15:36 -0700

## firefox-esr 60.7.2esr

=== debian/changelog ===
firefox-esr (60.7.2esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa219-19, also known as CVE-2019-11708.

 -- Mike Hommey <glandium@debian.org>  Thu, 20 Jun 2019 10:48:50 -0700
